

                      Network Fossil Driver Stomper Version 2.3

          Modemsharing-Software for Novell or Netbios based networks

                                  DOS/Windows 3.1


(C) 1994 Pflug Datentechnik


To register this software, refer to the according file for your country:

Germany:        REGISTER.D
Austria:        REGISTER.A
Australia:      REGISTER.AUS
Netherlands:    REGISTER.NL
Spain:          REGISTER.ESP
USA:            REGISTER.USA

If your country isn't listed above, the contents of REGISTER.D apply.


Hardware and software requirements for installation:

-    network, preferably Personal NetWare, Novell NetWare lite,
     NetWare >=3.11 or Netbios network (Lantastic)
-    minimum DOS 3.3
-    Windows 3.1 if available
-    1 serial interface per modem server, UART 16550 strongly recommended
-    Processor depending on number of modem servers on one computer,
     minimum AT (80286)





1       INTRODUCTION

1.1     WHAT IS A FOSSIL DRIVER ?

1.2     WHAT IS A NETWORK FOSSIL DRIVER?

2       INSTALLATION / COMMANDLINE OPTIONS

2.1     FAST INSTALLATION

3       SELECT SPECIFIC MODEMSERVERS BY DIFFERENT PORTS

4       THE COOPERATIVE MODE

5       QUEUE MANAGEMENT

6       THE MONITOR

7       OTHER COMMUNICATIONS MEDIA/ISDN

8       WINDOWS INSTALLATION AND GETTING STARTED

9       SUITABLE PROGRAMS

10      PERFORMANCE

11      PROGRAMS USINF INT 14 (BIOS)

12      STOMPER AND WINDOWS

13      INSTALLATION ON A NETWARE FILESERVER (NLM-VERSION)

14      APPLYING ACCESS RIGHTS

15      NETINFO.EXE

16      TROUBLESHOOTING

17      SUPPORT








1    Introduction
~~~~~~~~~~~~~~~~~

1.1  What is a fossil Driver ?


There are various possibilities for a DOS program to address serial
interfaces of a PC:

There is the hardware related method, communicating directly with the
interface components. This method is used very often because it's quick
and uncomplicated for the program user - no unnecessary thoughts about a
fossil driver and its implementation.

"Nice" programs use the 4 functions provided by the computer BIOS (INT 14):
Baud rate setting, character transmission, character receive and fetching
the interface status. This method has the advantage of being hardware
independent (only BIOS has to have the information how to communicate with
the hardware - the programmer isn't troubled with that). Big and decisive
disadvantage: under DOS, BIOS allows max. 9600 bps, which is out of date
today. Furthermore BIOS routines are generally quite slow.

Another possibility is the fossil driver, combining the advantages of the
solutions mentioned above - speed and hardware independence - troubling
the user with only one installation.

The fossil driver offers buffered interface communication as an additional
function to the BIOS, emulating the interface functions of BIOS. Data
arriving at the interface needn't be handled immediately by the software,
but are stored in a ring buffer. A program using BIOS for example, has to
handle every single character before the next arrives in order to avoid a
loss of data. With a fossil driver the data can be fetched and handled in
blocks.




1.2  What is a network fossil driver?


It's easy to exploit the advantage of a hardware independent program with
the use of a fossil driver. A suitable driver can pretend any digital
communication element against such a hardware independent program, for
example as COM2. The programm doesn't care how this works, as long as the
driver handles the mass of data.

Stomper uses this circumstance. A modem server is installed on a network
integrated computer linked to a modem. The modem server waits for a network
fossil driver connection, which again bluffs to be communicating with a
serial interface. At the same time a lot of instruction data and other data
are passed over the network, but don't worry, a normal network is hardly
concerned with that.










2    Installation / Commandline Options
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


2.1  fast installation

...this is for all those who are not interested in all possibile functions,
for those who prefer to see quickly some action on the modem display:

For an application in which the modem server takes over only this function
and maybe some other, simpler duties...


First of all, the queue manager

     STMGR

is loaded on any available workstation in the network. This could be a
computer not integrated in the modem sharing, or a modem server. Please
read chapter 4, waiting queue administration, in this context.

STMGR needs not to be loaded when using the shareware or private version,
since no queuemanagement will be done anyway!


Modem server:

Add the following line to the autoexec.bat file:

STOMPER /Px         (x = interface number; 1 = COM1)

Work station:

NETFOS /Px          (x = interface number)


Stomper should be ready for use now


2.2  COMPLETE INSTALLATION

Stomper either works with the IPX- or the Netbios protocol. In Novell
networks IPX is loaded already, so nothing else has to be done.
Note that especially after installing Netware Lite (or Personal Netware),
IPXODI is loaded with the option /A. Remove this option, since it disables
the SPX-protocol!

Others (for example Lantastic: AILANBIO), however, require the installation
of the Netbios driver. Most network types (NetWare/NetWare Lite,
Lantastic...) supply Netbios. With the use of Netbios Stomper becomes
independent of the available network.

Command line parameters

1. The queue manager

     STMGR [/F] [/U] [/L.....]

     /U   is given to remove an installed STMGR from the memory

     /F   the queue manager uses netbios, even if IPX is loaded

     /L   generates a logfile.
          examples:

          STMGR /LSTOMPER.LOG      generates STOMPER.LOG in
                                                the directory, in which
                                                STMGR.COM resides.
          STMGR /LC:\TEMP\ST.LOG           generates C:\TEMP\ST.LOG

     please note, that if you wish to create a logfile in a desired
     directory, you must specify a complete path!


2. The modem server

     STOMPER [/Px] [/Na] [/Lxxxxxx] [/U] [/F] [/Qxx] [/Bxxxx]
                [/Caaa...] [/R]

     The parameters are optional:

        /P     selects the COM port for the modem, for example /P2 for COM2.
                If omitted, COM1 is selected automatically.

        /U     is given to remove any already installed STOMPER from the
                memory. This is only possible while Stomper is not active.

        /F     STOMPER is told to use Netbios exclusively (even if IPX is
                loaded)

        /Q     for unconventional IRQs. /Q7 => IRQ7

        /B     for unconventional ports. /B3E8  => Port 3E8

        /C     Cooperative mode: see chapter 3, Cooperative mode

        /L     Lock Baud. Independent of the bps rate chosen by the
                application (terminal program,...), Stomper always selects
                automatically the bps rate of this parameter, for example
                /L57600 (locked).
                Attention: Windows applications ignore this parameter!

        /N     one single character is added to this option (for example
                one letter or one digit), giving the modem server an
                individual identification. Each modem server has to be
                identified individually (several modem servers on one
                computer have individual characters).

                {+} only available in versions supporting more than 1 
                modemserver

        /R     ensures RTS/CTS data flow control. This is very helpful,
                for example if you encounter problems when sending with
                Winfax. Normally this option does not influence any other
                applications.

        /Z     16550 FIFO buffer control
               /Z0  FIFO off
               /Z1  FIFO on 1 byte threshold
               /Z4  FIFO on 4 byte threshold
               /Z8  FIFO on 8 byte threshold (standard)
               /Z14 FIFO on 14 byte threshold

     It is not recommended to use this parameter! Stomper normally selects
        an 8 byte threshold for the FIFO buffer, which causes the least
        potential errors.


3.   The Client

     NETFOS [/Px] [/U] [/I] [/F] [/Naaa...]

        /P     specifies which COM port will be redirected, for example. /P2                for COM2. COM1 is chosen automatically when this parameter is                not used.

        /U     is given to remove an installed NETFOS from the memory.

        /I     This parameter is necessary to redirect programs which
                communicate using the BIOS-INT-14. With this parameter
                given, Netfos finds out if an application is able to serve
                a fossil interface, and reacts accordingly.

                Without this parameter Netfos can only support Windows
                programs or programs which support a fossil driver.

        /F     Netfos uses Netbios (even if IPX is loaded)

        /N     All modem servers wanted in the network are listed here.
                When, for example, /N123 is given, the queuemanager selects
                the first available modem server from the list. The priority
                is from left to right, so that the queuemanager selects
                STOMPER /N2 when STOMPER /N1 is occupied.
                In the 1-modem-server version simply the name of the modem
                server has to be listed. In this case, /N can also be left
                out completely, but then has to be left out for both Stomper
                and Netfos!

                {+} only available versions supporting more than 1 
                modemserver.

Note that the parameter /Px does not have to be identical for the two
drivers. For Stomper /Px defines the interface which is physically
connected with the modem. For Netfos /Px defines only the interface
which is addressed by the terminal program.




Errorlevels

NETFOS returns the following error levels (for batch files):

0    Netfos is installed and connected with Stomper
20   Netfos was not installed - no network detected

Error levels of Stomper:

0    Stomper installed
20   Stomper was not installed - no network detected
23   Stomper was not installed - already present in network


Windows Installation


In the file SYSTEM.INI (Windows directory) change the following line in
the [boot]-section:

comm.drv=comm.drv

change into

comm.drv=stcomm.drv

Make sure that there is only one line of comm.drv=...!!

Attention!
After Winfax installations comm.drv is usually changed into wfxcomm.drv.
This can be replaced without problems.

STCOMM.DRV  should be placed on a DOS path or in a windows directory.
Alternatively, the whole path can be given.







3 SELECT SPECIFIC MODEMSERVERS BY DIFFERENT PORTS
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



Example:

You have 5 modem-/ISDN-servers installed in your network:

 - three modems with IDs 1, 2 and 3
 - two ISDN-lines with IDs 4 and 5

Of course you will want to use an ISDN-line, when you need an ISDN-line
and a modem line, when you need a modem line.
You can do this by simply entering the following command line:

NETFOS /P1(123) /P2(45)

When your Application addresses COM1, you will get connected to
modemserver 1, 2 or 3, whichever is available. When your application
uses COM2, one of th ISDN lines will be selected.

Note that there is no option /N specified, since this is completely replaced
by the values in brackets.

You can specify up to 4 ports.

Of course you can use this method to distinguish different modemtypes as
well - ISDN was chosen as a typical example of different transport media.






4    The Cooperative Mode
~~~~~~~~~~~~~~~~~~~~~~~~~~~~


This mode - under certain circumstances - enables the use of another software
(for example a mailbox) on the modem server - sharing the port cooperatively
with Stomper.

Parameter: /Cxxxxx

xxxxx stands for any modem command. At the end of a session this command is
sent to the modem in order to re-initialize it. CR/LF is added to this
string (for example. ATZ), automatically.

Thus the modem server can run a mailbox, which will be stopped automatically
when a client in the network demands the modem.
While a caller is logged into the mailbox, Stomper is inactive.

In order to avoid fatal failures on the computer, please read the following
lines even if this sounds a bit technical:

For safety reasons a network-modem demand is rejected, when the CD signal is
active, for example, when someone is logged into the mailbox. Stomper will
also be blocked for another 60 seconds after the last ring.
This mode has to be handled with care, as it is quite rude to block an
application just like that, but this can be done for example with FrontDoor
and Remote Access.

As during the blocking of the modem the bps- rate could be changed, at the end
of such a session Stomper sends an optional command (see above, ,/Caaa") to
the modem in order to set the correct bps rate. For this, the modem must have
an automatic baudrate identification.

In the cooperative mode Stomper MUST NOT BE LOADED in the high memory
area (UMB), due to the following:

The computer will be stopped at an appropriate time, that is in the moment of
a timer interrupt (produced by the computer 18 times per second).

"Appropriate" means:

1.   there is no hard disk or disk access
2.   Windows is inactive
3.   The program interrupted is placed in the memory above stomper and
        under the high memory area from A000:0000 on.

No. 3 ensures that no IPX routine has been interrupted.
As Stomper depends on IPX, it would not dare to touch this without being
affected personally. As Stomper needs the IPX (or Netbios) drivers, they
are normally placed in a lower memory section or in an UMB. But if Stomper
has also been loaded in the high memory area, there is no certainty where
the network drivers are placed related to Stomper.

It is possible that the interrupt does not appear. This happens when the
commandline in DOS is used, which is mainly executed in COMMAND.COM (below
Stomper) or in BIOS (>A000). The use of the interface is not affected
in this case.






5.   Queue Management
~~~~~~~~~~~~~~~~~~~~~~~~


In order to enable a precise access to one or several modem servers in the
network, the program

STMGR.COM

has to be loaded on one computer (any) in the network. STMGR.COM should
already be active in the network, before a Client (Netfos) or modem
server (Stomper) is loaded. Preferably this program should be installed
on a modem server.

This program operates completely in the background and does not require
much memory. It offers 3 services:

1.   "Tracker", observes the status of all modem servers installed in
        the network, containing the following information: Status of the
        modem server (busy/free), the Client (Netfos) which is presently
        served, number of bytes transmitted in a session.
        This information is analysed and displayed for example by STMON,
        the monitor program. If you would like to develope your own
        applications using this information, an API for this service can
        be supplied additionally.

     This part of STMGR can exist several times in the network.

2.   "Queue manager", allocates free modem servers to the clients. In
        order to avoid chaos, the queue manager can only exist once in
        the network. When STMGR is loaded for a second time in the network,
        only the tracker part will be loaded automatically.

        {+} only available in commercial version

3.   IPX routing. The transmitter must always know the destination
        network in order to transport IPX packets over several network
        segments. STMGR therefore gives his address to all routers in
        the network (the file server can also work as a router and
        therefore adds this address to its bindary). Stomper identifies
        this address by ordering it form the nearest router. When the
        queue manager allocates a modem server to a client, the network
        address of stomper is supplied to the client.

        


The queue manager's strategies

{+} the following applies to the commercial licensed version.

When a client demands a modem server, the queue manager tries to allocate
a free modem server which is selected by NETFOS /Naaa...(from left to right).
In case all modem servers are busy, the client computer receives the
following message:

     No modemserver available. Queue in?

     Y/N

After confirming Y, the following message appears:

     Queued in. Wait in foreground?

     Y/N

Now there are two possibilities:

1.   "Wait in the background" (N) signals the application "no fossil
        driver installed" (not recommended for pure BIOS INT14 applications).
        The computer can be used and as soon as a modem server is free,
        the following message appears:

     Connected to modem server                    (ENTER)

        The queue manager marks the modem server as "reserved". The user
        has 1,5 minutes to start his application and to use the modem server.


2.   While waiting in the foreground, the following message appears

        Waiting for modem server...                    (ESC)

        In the meantime the computer cannot be used for other applications.

Under windows this process is executed accordingly, but only the
application in use is paused.













6    The Monitor
~~~~~~~~~~~~~~~~~~~

The monitor (STMON.EXE) provides an overview over the modem servers
installed in the network and the proceedings can be observed. The monitor
is started by loading

STMON

As STMON displays the information obtained from the tracker, it depends on
STMGR.COM being loaded. If STMGR is not already in memory, the monitor will
load it automatically. For this, however, STMGR.COM must be either

     -    in the same directory as STMON.EXE or
     -    in the DOS path.

Attention: The monitor must not be started in a DOS box under windows!

The monitor displays ten sections on the screen, each containing information
of an individual modem server.



Field identifications:

-    Network address - individual address in the network which is preset
        by the network adaptor. In order to obtain a better overview, a file
        called

     NODES.LST

     can be created, in which names are allocated to the network
        addresses. An example for such a file:

     924e32a   John's abacus
     80ca23e5  venus

     ... allocating the names "John's abacus" and "venus" to the according
        network addresses. Gonzo and Hannah will replace the cryptic address
        names on the monitor.

-    Served interface - the serial interface served by the modem server

-    Status - status of the modem server. Possible states:

     - idle              the modem server is available at the moment
     - Ser. <Client>     the modem server is just serving the client
                         named <Client>
     - Res. <Client>     the modem server is presently reserved for
                         the client <Client>.
     - locally in use    The modem server is presently used locally in the                            "/C" mode
                         (for example for a user in the mailbox)

-    Sent / received bytes   number of bytes transmitted in the current
                             session. This information will be held until
                             the start of a new session.

-    Identification - the identification of the modem server (/Na).











7    Other communications media/ISDN
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

If you intend to provide ISDN, Digiboard or another communications channel
other than standard RS232, you will have to install a suitable FOSSIL
driver and then run STOMPERF.COM instead of STOMPER.COM.
A FOSSIL driver for use with ISDN is CFOS, which can be obtained from
our BBS.
Refer to chapter "Complete Installation" commandline options.

Please keep in mind that the highest transferring rate is 76000 bps
or 9500 cps.






8    Windows Installation And Getting Started
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

STCOMM.DRV has to be installed in order to supply the net fossil for windows
applications:

For this, in the file SYSTEM.INI, section [boot]

     comm.drv=comm.drv

has to be replaced by

     comm.drv=stcomm.drv

STCOMM.DRV has to placed either in the windows directory, or in the windows
system directory, or in the directory which the DOS path contains. Otherwise
the complete path for STCOMM.DRV has to be given.

STCOMM.DRV checks which interfaces are redirected by Netfos and addresses
them accordingly. Normal interfaces are served without changes.

Thus, under windows COM1-COM5 are accessible. The standard COMM.DRV only
allows COM1-COM4 - in opposition to the information given in the file
SYSTEM.WRI - due to a quite inflexible programming of the driver.













9    Suitable Programs
~~~~~~~~~~~~~~~~~~~~~~~~~


All windows programs, using the functions (API) (provided by windows
COMM.DRV) for the interface addressing, are suitable.

DOS:

Not every terminal program supports a fossil driver. An example for a
program with FOSSIL support is Telemate (In Options / Terminal, FOSSIL can
be selected)

For the use of Telemate note the following: in order to work with the dial
list, for each listing the fossil driver has to be selected individually.
To select the fossil support in Telemate, first the baud rate has to be
set on maximum 38400bps. Otherwise fossil will be ignored!

BinkleyTerm, FrontDoor (mailer systems) and RemoteAccess (a mailbox system)
have no problems working with Stomper.

A short list of programs which have been tested with Stomper:

Name           Operating system    Comments
=====================================================================
Telemate       DOS                 extensive and comfortable

FX-Term        DOS                 GUI, works with RoboBoard.
                                   Very easy to handle. Works
                                   fine with Stomper. Freeware.

Terminate      DOS                 extensive (similar to Telemate).
                                   IEMSI support

DosCIS         DOS                 Compuserve information
                                   manager.

Terminal       Windows             Terminal program included in
                                   windows     packet.

GoCIS          Windows             Offline Compuserve navigator

NavCIS         Windows             Offline Compuserve navigator

WinCIS         Windows             Compuserver information manager

PowerCom       Windows             terminal program

Telix for Windows   Windows        extensive and comfortable terminal 
                                   program

Transend       DOS/Windows         terminal / fax

RemoteAccess   DOS                 mailbox software

Frontdoor      DOS                 Fido mailer

Binkley        DOS                 Fido mailer

Crosspoint     DOS                 Fido / Z net / UUCP - point system

Winfax         Windows             fax software
Bitfax         Windows             fax software
Unicom         Windows             comfortable terminal program

Most of these programs are available are available as shareware on our
mailbox (see end of Document).














10   Performance
~~~~~~~~~~~~~~~~

The tests made so far did not show any loss in speed compared to a directly
connected modem.

Example:

     terminal configuration:               38400bps
     modem speed:                          14400bps

     transmission of a packed file:          1620 cps (characters per
                                                         second)
     transmission of a text file:            3540 cps











11   Programs Using INT 14 (BIOS)
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


The fossil driver is to be understood as an extension to the BIOS-INT 14
interrupt. However, Stomper expects that the software used initializes
the fossil driver (not necessary with BIOS routines).
For programs only using BIOS-INT 14, NETFOS has to be loaded with the
parameter /I. With pure INT 14 applications, Stomper always switches to
RTS/CTS data flow control.

Approximately 20 seconds after the end of an "INT-14 program" the modem
server becomes available for others again.

When using fax software, which communicates via INT 14, it is absolutely
necessary to lock Stomper on an appropriate rate. The ideal bps rate
depends on the modem used. Standard modems transmit faxes with a rate of
up to 14400 bps, or 19200 bps on the phone line.
In this case the bps rate has to be locked on 19200 bps. Most modems accept
a higher rate, for example 57600 bps, when transmitting faxes.

For modems with a maximum baud rate of 9600 bps, Stomper should be locked
on 9600 bps (see parameter /L on page 6).















12   Stomper And Windows
~~~~~~~~~~~~~~~~~~~~~~~~~~~

There is a tiny problem when loading windows on the modem server. Windows
cannot be stopped from intializing the interfaces. Due to this, a data
transmission in process is stopped abruptly, because the bps rate is
changed, and DTR is set on low. This can only happen when Windows is
started or shut down. Using Stomper while the modemserver is running
Windows is safe.

Solution:      when the modem is initilialized for example on COM3, add
                the following line to the windows file SYSTEM.INI, under
                the section [386Enh]:

                MaxCOMPort=2

Thus, Windows will identify only COM1 and COM2.
It is therefore recommended to initialize the modem, which is used for
the modem sharing, on the "highest" interface installed.

Warning: Following the steps described here, with a high data transmission
rate some single characters may be lost. A future stomper version will
solve this problem.

When using windows for work groups, some more aspects have to be
considered, especially when using only the Microsoft network. In general,
in this network the network drivers are loaded only with the start of WFW.
But stomper and Netfos need these drivers already before the start of
windows.

Solution:

load the appropriate IPX-driver for your network adaptor before NET START
is executed.
Example (NE2000-compatible network adaptor):

LSL.COM
NE2000.COM
IPXODI.COM

NET START

These Drivers are part of e.g. Netware Lite / Personal Netware and also are
contained in the archive DOSUP9.EXE, which can be obtained from many BBS's.

Additionally, a file named NET.CFG must be created in the same directory,
that contains the IPXODI-drivers:

-------------------------------------
link driver ne2000
    frame Ethernet_802.3
    int 3
    port 300
-------------------------------------

You might have to modify the values to match your hardware.

Now you will have to take care, that there is no IPX/SPX-driver enabled in
your Windows For Workgroups - network setup. Otherwise the DOS-IPX-driver
will be disabled as soon as you start WFW.

Further information can be found in your Windows For Workgroups manual.






13 Installation on a NetWare fileserver (NLM-version)
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Copy STMGR.NLM and STOMPER.NLM to the SYS:SYSTEM directory.

To install STMGR.NLM on the fileserver, enter

load STMGR

at the console.

To install a modemserver, you will need to install an asynchonous I/O-driver
first. This requires the module AIO.NLM and any AIO-driver. The appropriate
AIO-driver for standard RS232 is AIOCOMX.NLM. You can download AIO-drivers
from Compuserve NOVLIB or from our BBS.
Several AIO drivers for Hostess, Digiboard, etc. are available.

For available commandline options recognized by STOMPER.NLM and STMGR.NLM,
refer to chapter "Complete Installation".

Note the different format of STOMPER-option /P for port selection:

/P<hardwaretype>,<boardnumber>,<portnumber>

The three values are shown when you load the AIO-driver. If you are not sure
what to type, you can load STOMPER.NLM without the /P-option. Stomper will
let you select the desired port and then display the appropriate commandline
you should use in future.

If you posess a multi-modemserver version of Stomper, you can
load STOMPER.NLM multiple times.

If you type

unload stomper

at the system console, you will disable all running modemservers.


Caution!!

- There is a bug in the Netware 3.x / 4.x - SPX-protocol. This bug known to
  STOMPER.NLM and Stomper tries hard to avoid problems that might arise.
  But wo do strongly advise you to install the following Novell-patches:

  PATCHMAN.NLM
  SPXDDFIX.NLM
  SPXFIX2.NLM

  These three modules are contained in the archive STRTL3.EXE, that can be
  downloaded free from Compuserve NOVLIB or from our support BBS.

- If you have problems loading AIO.NLM, STOMPER.NLM and STMGR.NLM, and you get
  a message like

  "Public symbol IsColorMonitor not found",

  then you have an old version of CLIB.NLM (Netware 3.11). Just install an
  updated version, that is part of the archive LIBUP4.EXE (Compuserve
  NOVLIB or our support BBS)






14 Applying access rights
~~~~~~~~~~~~~~~~~~~~~~~~~



STMGR.NLM provides a mechanism to refuse access to all or specific
modemservers by username, stationaddress and/or network.

This mechanism is activated, as soon as STMGR.NLM finds a file named
QMREST.LST in the same directory, STMGR.NLM is contained in. If this file
is not present, no restrictions apply.


This file could look like this:


                     [stations]
                     928485
                     80A23E42       12Q

                     [nets]
                     1000002
                     1000003        1

                     [names]
                     supervisor
                     Peter       24


This file is displayed later on with comments included.


Rules:

 - there are 3 possible sections: [stations], [nets] and [names]
 - you can omit particular sections. There will be no restrictions for these
   sections.
 - if a section is present, it defines objects (stationaddresses, usernames
   or networkaddresses), that have access to modemservers. All objects of
   this sectiontype, that are not defined, will not have access to any
   modemserver.
 - if only the object is entered in a line, it receives access rights to all
   modemservers throughout the network. If you additionally enter a list of
   modemserver-IDs - separated by spaces or tabs from the objects
   designation - the object will only have access to the specified
   modemservers.
 - access rights are combined by logical and, which means, the user must be
   qualified by station, network and username (in case restrictions apply
   respectively)

Typically the file QMREST.LST will only contain a [names] or [nets] section.



                       Example for QMREST.LST with comments
                       ------------------------------------


; Lines beginning with a semicolon are trated as comments and are ignored

; There are 3 sections in this file:
; [stations]
; [nets]
; [names]
;
; Sections can be omitted. If there is no section named [stations], then there
; will be no station restrictions.

; The section [stations] lists all stations, that have access to modemservers

[stations]
; Station 928485 has access to all modemservers:
928485

; Station 80A23E42 has access to modemservers 1, 2 und Q:
80A23E42       12Q

; All other stations have no access rights to any modemservers!

[nets]
; All stations in net 1000002 may use all modemservers, if they are not
; restricted by username or network number
1000002

; The stations in network number 1000003 only have access to modemserver 1
1000003        1

; All other networks have no access to any modemserver!

[names]
; Supervisor has access to all modemservers, as long as no station/network
; restrictions apply:
supervisor
; Peter may only use modemserver 2 and 4
Peter       24

; If there is no section [names], you can even use modemservers without
; logging in.

; Note! Even though the supervisor is generally given access to all
; modemservers, station- and network-restrictions still are active!

; Example: Peter is logged in on station 80A23E42 in Network number 1000002
; Therefore he can only use the modemserver with ID '2'







15   NETINFO.EXE
~~~~~~~~~~~~~~~~~~~

This a small diagnostic tool added to the packet, giving some information of
the network environment (received from netbios), for example


Permanent name:               0000C0039A79   ; network address

Jumper:                                 40
POST result:                            00
Version:                               0.1
Minutes up:                              0
Number of CRC errors:                    0
Number of alignment errors:              0
Number of collisions:                    0
Number of aborts:                        1
Number of transmitted packets:           6
Number of received packets:             10
Number of retransmits:                   4
Number of out-of-buffer-counts:          0
Free NCBs:                              10
Max. NCBs:                              12
Active sessions:                        32
Max. packet size:                     1024
Names:                                   1
NFOSMPX1                                 0


Attention! This tool can only be useful when Netbios is actually installed.
Otherwise no useful information will be displayed here! This information is
of no use for IPX.













16   Troubleshooting
~~~~~~~~~~~~~~~~~~~~~~~

Problem              possible source             solution / remarks

The terminalprogram  The terminalprogram might   If provided by the terminal
doesn't react - no   address the hardware        software, switch to Fossil 
characters are       directly                    or INT 14.
transmitted                                      In case the software doesn't
                                                 support a software inter-
                                                 face,
                                                 there is no way of
                                                 redirecting port usage.

                     The terminalprogram is set  Call NETFOS /I when using
                     to INT-14, but Netfos       BIOS-INT14-routines.
                     wasn't loaded with the /I-
                     option.

                     the wrong port is being     set the com-port settings of
                     addressed.                  the terminal software to the
                                                 value specified in the
                                                 commandline of Netfos.

Characters are lost  A non-buffered serial       Use a buffered serial device
during transmission  hardware is used            (UART 16550). Such can
                                                 be obtained for a small fee
                                                 in most computer stores.
                                                 Stomper relies on buffered
                                                 communications devices
                                                 more than other COM-
                                                 software, since it has to
                                                 deal with many interrupt
                                                 types at once (timer,
                                                 network and serial).

                     no handshaking active       Usually you have to specify
                                                 the type of handshaking you
                                                 want to use in the setup of
                                                 your communications
                                                 software. In most cases it's
                                                 best to set hardware
                                                 handshaking (RTS/CTS) to
                                                 on and software
                                                 handshaking (XON/XOFF) to
                                                 off.

Stomper hangs in     Stomper was loaded in       Stomper cannot be loaded in
cooperative mode     high memory                 high memory when driven in
                                                 cooperative mode.

It works with DOS    STCOMM.DRV wasn't           Make sure, the line
but not with Windows installed or wasn't         comm.drv=stcomm.drv is
                     installed correctly         placed in the [boot]-section
                                                 of you SYSTEM.INI-file and
                                                 that there is only one
                                                 occurence of a line
                                                 beginning with "comm.drv="

Fax-sending causes   You are using a DOS-Fax-    In this case, Stomper sets
problems             software that uses the      the handshake-method to
                     Bios-INT 14 interface.      "Hardware". Fax
                                                 transmission with class 2
                                                 expects software flow
                                                 control. make sure that your
                                                 modem is set to hardware
                                                 flowcontrol explicitly


                     XON/XOFF handshaking        start Stomper with the
                     doesn't function properly   commandline option /R










17   Support
~~~~~~~~~~~~~~~

Pflug Datentechnik can be contacted via


Fax            +49-7152-46047
e-mail         100340.1047@compuserve.com
Compuserve      Michael Pflug 100340,1047
Fido            2:246/1009 (per Crashmail only, please!)
Gernet            21:492/1418
Mailbox           +49-7152-46047

Inquiries on the phone are not possible without prior consultation.

Current Stomper versions and several shareware/PD software can be
downloaded from our mailbox.



